<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<!-- This file has been generated by tj3man v3.1.0 -->
<html lang="en" xml:lang="en" xmlns="http://www.w3.org/1999/xhtml">
 <head>
  <title>remaining</title>
  <meta content="text/html; charset=utf-8" http-equiv="Content-Type"/>
  <meta content="The TaskJuggler Manual" name="description"/>
  <meta content="taskjuggler, project, management" name="keywords"/>
 </head>
 <link href="css/tjmanual.css" rel="stylesheet" type="text/css"></link>
 <body>
  <div align="center">
   <h3 align="center">The TaskJuggler User Manual</h3>
   <em align="center">Project Management beyond Gantt Chart Drawing</em>
  </div>
  <br/>
  <hr/>
  <table style="width:90%; margin-left:5%; margin-right:5%"><tr>
    <td style="text-align:left; width:35%;">&lt;&lt; <a href="reference.extend.html">reference (extend)</a> &lt;&lt;</td>
    <td style="text-align:center; width:30%;"><a href="toc.html">Table Of Contents</a></td>
    <td style="text-align:right; width:35%;">&gt;&gt; <a href="replace.html">replace</a> &gt;&gt;</td>
   </tr></table>
  <hr/>
  <br/>
  <div style="margin-left:5%; margin-right:5%">
   <p><table align="center" class="table"><tr align="left">
      <td class="tag" style="width:16%">Keyword</td>
      <td class="descr" style="width:84%; font-weight:bold">remaining</td>
     </tr></table></p>
   <p><table align="center" class="table">
     <colgroup>
      <col width="16%"></col>
      <col width="24%"></col>
      <col width="60%"></col>
     </colgroup>
     <tr align="left">
      <td class="tag">Purpose</td>
      <td class="descr" colspan="2"><div>
        <p>The remaining effort for the task. This value is ignored if there are <a href="booking.task.html">bookings</a> for the resource that overlap with the time sheet period. If there are no bookings, the value is compared with the <a href="effort.html">effort</a> specification of the task. If there a mismatch between the accumulated effort specified with bookings, <a href="work.html">work</a> and <a href="remaining.html">remaining</a> on one side and the specified <a href="effort.html">effort</a> on the other, a warning is generated.</p>
        <p>This attribute can only be used with tasks that are effort based. Duration based tasks need to have an <a href="end.timesheet.html">end</a> attribute.</p>
       </div></td>
     </tr>
     <tr align="left">
      <td class="tag">Syntax</td>
      <td class="descr" colspan="2"><code>remaining &lt;value&gt; (min | h | d | w | m | y)</code></td>
     </tr>
     <tr align="left">
      <td class="tag" rowspan="7">Arguments</td>
      <td class="descr">value</td>
      <td class="descr"><div>A floating point or integer number</div></td>
     </tr>
     <tr align="left">
      <td class="descr">min</td>
      <td class="descr"><div>minutes</div></td>
     </tr>
     <tr align="left">
      <td class="descr">h</td>
      <td class="descr"><div>hours</div></td>
     </tr>
     <tr align="left">
      <td class="descr">d</td>
      <td class="descr"><div>days</div></td>
     </tr>
     <tr align="left">
      <td class="descr">w</td>
      <td class="descr"><div>weeks</div></td>
     </tr>
     <tr align="left">
      <td class="descr">m</td>
      <td class="descr"><div>months</div></td>
     </tr>
     <tr align="left">
      <td class="descr">y</td>
      <td class="descr"><div>years</div></td>
     </tr>
     <tr align="left">
      <td class="tag">Context</td>
      <td class="descr" colspan="2">
       <a href="newtask.html">newtask</a>, <a href="task.timesheet.html">task (timesheet)</a>
      </td>
     </tr>
    </table></p>
   <div class="codeframe"><pre class="code">task t1 "Task 1" {
  effort 5d
  allocate r1
}

timesheet r1 2009-11-30 +1w {
  task t1 {
    work 3d
    remaining 0d
    status green "All work done" {
      summary "I had good fun!"
      details -8&lt;-
        This task went smoothly and I got three things done:
        * Have fun
        * Be on time
        * Get things done
      -&gt;8-
    }
  }
}
</pre></div>
  </div>
  <br/>
  <hr/>
  <table style="width:90%; margin-left:5%; margin-right:5%"><tr>
    <td style="text-align:left; width:35%;">&lt;&lt; <a href="reference.extend.html">reference (extend)</a> &lt;&lt;</td>
    <td style="text-align:center; width:30%;"><a href="toc.html">Table Of Contents</a></td>
    <td style="text-align:right; width:35%;">&gt;&gt; <a href="replace.html">replace</a> &gt;&gt;</td>
   </tr></table>
  <hr/>
  <br/>
  <div align="center" style="font-size:10px;">Copyright (c) 2006, 2007, 2008, 2009, 2010, 2011, 2012 by Chris Schlaeger &lt;chris@linux.com&gt;.<a href="http://www.taskjuggler.org">TaskJuggler</a> is a trademark of Chris Schlaeger.</div>
 </body>
</html>
